OTP Hash Init

/hash/offline/init

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Valid values:

ParameterValue
"hash"exact 44 symbols
Hash must be exactly 44 characters long, as it must be the SHA-256 value encoded in Base64 (not in hex, which is 64 characters)
"description"max chars 4000
"certificateType""integer"
valid values 1 - Qualified еSign (qualified certificate); 2 - Advanced еSign (qualified certificate); 3 - Advanced eSign (advanced
certificate);
"coverage"For "certificateType"=1 valid values are: 0, 20000, 100000, 250000.
For "certificateType"=2 valid value is 500
For "certificateType"=3 valid value is 1
The amount is in €.
0 stands for unlimited. 1 stands for no coverage.
"signInfo" "algorithm""SHA256"
"user"If "country"=BG: "documentNumber", "identificationNumber", 3 names

If "country"=MK:
"documentNumber", "identificationNumber", "firstName" and "lastName".

If "country"= (diff than BG, MK):
"documentNumber", "firstName" and "lastName".

"country": Valid values are the ISO 3166-1 alpha-2 codes. Default value is "BG".

"firstName": "[A-Za-z' -]"
"middleName": It’s used only if the country is "BG". Allowed characters "[A-Za-z' -]"
"lastName": "[A-Za-z' -]"
"phone": "+[0-9]"
"email": Optional parameter. If provided the certificate and signed documents will be sent to it.
"language": "bg", "en", "de", "hu", "sq", "ro", "fr", "it", "mk".
"documentType": Valid values are "IDcard", "Passport". Default value is "IDcard".
"certificateSerialNumber""string"
Serial number of the user certificate. Parameter has to be provided if the user identifier is "identificationNumber" or
"phone" or "email".
"smsType"integer
valid values: 1 - code, 2 - link, 3 - code & link
"agent"One of the agent's identifiers:
  • "identificationNumber" and "country" for manual signing;
  • "phone" for manual signing;
  • "automatedSignCertID" for automated signing;
  • "automatedSignSealID" for automated signing.

    "identificationNumber": Personal identification number.
    "country": optional with default value "BG". Valid values are the ISO 3166-1 alpha-2 codes.
    "phone": "+[0-9]"
    "automatedSignCertID": "[a-zA-Z0-9-]36"
    "automatedSignSealID": "[a-zA-Z0-9-]36"
"vendorNumber""string"
"urlCallback"Optional parameter. Only https:// is allowed. It has to be sent a host name if Evrotrust callback API is used.
"publicKey"base64 encoded string of public key, necessary for encryption process


Body Params
string
required

{
"document": {
"description": "string",
"coverage": 0,
"certificateType": 0
},
"signInfo": {
"algorithm": "string"
},
"user": {
"country": "string",
"identificationNumber": "string",
"documentNumber": "string",
"firstName": "string",
"middleName": "string",
"lastName": "string",
"email": "string",
"phone": "string",
"language": "string",
"documentType": "string"
},
"vendorNumber": "string",
"smsType": 0,
"publicKey": "string",
"agent": {
"identificationNumber": "string",
"country": "string",
//"phone": "string",
//"automatedSignCertID": "string",
//"automatedSignSealID": "string"
},
"agentIdentificationNumber": "string",
"urlCallback": "string"
}

Headers
string
required

Authorization value.

Responses
200

Document added success

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json